PMTOP(1)

NAME
pmtop - report top process resource usage

SYNOPSIS
pmtop [-h host] [-m top] [-p spec,...] [-s samples] [-t interval] [-w] [-z] [-Z timezone]

DESCRIPTION
pmtop reports per-process resource usage statistics within the Performance Co-Pilot framework. It outputs the highest top values for the process resources of cpu utilization, system calls per second, context switches per second, kilobytes of data written per second, kilobytes of data read per second and resident set size. A subset of this information may be selected using the -p option.

COMMAND LINE OPTIONS
The command line options for pmtop are as follows:

-h host
    Fetch performance metrics from pmcd(1) on host, rather than the default local:.

-m top
    Report the top highest values for a particular process resource category. The default is the top 5.

-p spec,...
    Print out the process resource categories specified in the list of specs. The specification is constructed from a comma separated list of categories from the following set: cpu, sysc, ctx, read, write and rss. For example, "-p cpu,ctx,rss", will show three reports for the categories of cpu utilization, context switches and resident memory. It will also only show the category columns of CPU%, CTX and RSS. The default is to display all the categories.

-s samples
    Determines how many samples (iterations) of process data are displayed. The default is to do an infinite number of samples.

-t interval
    This value is used to determine the interval between fetching process data and reporting it. The interval argument follows the syntax described in PCPIntro(1), and in the simplest form may be an unsigned integer (the implied units in this case are seconds). The default is 2 seconds.

-w  Normally the report is truncated at the 80th column. This option relieves this restriction.

-Z timezone
    By default, pmtop reports the time of day according to the local timezone on the system where pmtop is run. The -Z option changes the default timezone to timezone which should be in the format of the environment variable TZ as described in environ(5).

-z  Change the reporting timezone to the local timezone at the host that is the source of the performance metrics, as identified via the -h option.

REPORT FORMAT

The report is divided up into a number of sections, one for each process category as specified by the -p option. This also affects which columns are displayed.

At the top of the CPU%, SYSCALLS and CTX sections it specifies how much the top processes used of the resource compared with how much was used globally by all the processes over the interval. For example, for the CPU utilization category looking at the top 5 processes, a value of 90% indicates that the top 5 processes account for 90% of the cpu consumption, the other 10% is used by processes which are not shown. These other processes are either not in the top 5, started after the beginning of the interval or exited before the end of the interval.

The columns in the report should be interpreted as follows:

PID Process ID.

CPU%
    Percentage of CPU Utilization.

SYSCALLS
    The number of system calls per second.

CTX The number of context switches per second.

WRITES
    The number of kilobytes of data written per second.

READS
    The number of kilobytes of data read per second.

RSS The current resident set size in kilobytes.

CMD The command and arguments, truncated so each line in the report is at most 80 columns (unless the -w option is given).

SEE ALSO
pmcd(1), pmem(1) and pminfo(1).